Debian Bug report logs - #659155
Hangs when trying to add a new printer

version graph

Package: system-config-printer-kde; Maintainer for system-config-printer-kde is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>; Source for system-config-printer-kde is src:kdeadmin.

Reported by: Daniel Koch <koch.daniel.89@googlemail.com>

Date: Wed, 8 Feb 2012 19:18:01 UTC

Severity: normal

Tags: upstream

Found in versions kdeadmin/4:4.8.4-1, kdeadmin/4:4.6.5-2, kdeadmin/4:4.7.4-2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, koch.daniel.89@googlemail.com, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#659155; Package system-config-printer-kde. (Wed, 08 Feb 2012 19:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Koch <koch.daniel.89@googlemail.com>:
New Bug report received and forwarded. Copy sent to koch.daniel.89@googlemail.com, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Wed, 08 Feb 2012 19:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Koch <koch.daniel.89@googlemail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: system-config-printer-kde: Crashes when trying to add a new printer
Date: Wed, 08 Feb 2012 20:15:51 +0100
Package: system-config-printer-kde
Version: 4:4.6.5-2
Severity: grave
Tags: upstream
Justification: renders package unusable

Its just crashes right after clicking the button. It seams that it is on load
but nothing happens.
I tested this on two different machiens


systemsettings(20470): Communication problem with  "systemsettings" , it
probably crashed.
Error message was:  "org.freedesktop.DBus.Error.NoReply" : " "Message did not
receive a reply (timeout by message bus)" "




-- System Information:
Debian Release: wheezy/sid
  APT prefers testing-proposed-updates
  APT policy: (500, 'testing-proposed-updates'), (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.1.0-1-686-pae (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages system-config-printer-kde depends on:
ii  python              2.7.2-10
ii  python-cupshelpers  1.3.7-3
ii  python-kde4         4:4.6.80-3+b2
ii  python-qt4-dbus     4.9-2

system-config-printer-kde recommends no packages.

system-config-printer-kde suggests no packages.

-- debconf-show failed




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#659155; Package system-config-printer-kde. (Sat, 07 Apr 2012 23:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shai Berger <shai@platonix.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sat, 07 Apr 2012 23:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 659155@bugs.debian.org (full text, mbox):

From: Shai Berger <shai@platonix.com>
To: 659155@bugs.debian.org, control@bugs.debian.org
Subject: It hangs, doesn't crash, and problem is probably in cupsd
Date: Sun, 08 Apr 2012 02:53:30 +0300
retitle 659155 Hangs when trying to add a new printer
affects 667995 system-config-printer-kde
thanks

Dear maintainer,

I believe I am experiencing the same problem as the original poster: Start the
printer configuration module, press "add new printer", and it just seems to 
hang forever.

I have noticed, though, that when this happens, the cupsd log is spammed with
repetitions of an error message, as specified in bug #667995. I think that is 
the root cause, thoufg system-config-printer-kde does something to trigger it
(much earlier than its Gnome parallel, system-config-printer).

Thanks,
	Shai.




Changed Bug title to 'Hangs when trying to add a new printer' from 'system-config-printer-kde: Crashes when trying to add a new printer' Request was from Shai Berger <shai@platonix.com> to control@bugs.debian.org. (Sat, 07 Apr 2012 23:57:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#659155; Package system-config-printer-kde. (Mon, 30 Apr 2012 19:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Orr <uraharakisuke153@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 30 Apr 2012 19:30:03 GMT) Full text and rfc822 format available.

Message #17 received at 659155@bugs.debian.org (full text, mbox):

From: Samuel Orr <uraharakisuke153@gmail.com>
To: 659155@bugs.debian.org
Subject: confirm issue
Date: Mon, 30 Apr 2012 15:24:03 -0400
I can confirm this issue as well. When I click 'add new printer' the 
systemsettings module hangs.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#659155; Package system-config-printer-kde. (Mon, 11 Jun 2012 14:30:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Houmehr Aghabozorgi <haghabozorgi@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 11 Jun 2012 14:30:11 GMT) Full text and rfc822 format available.

Message #22 received at 659155@bugs.debian.org (full text, mbox):

From: Houmehr Aghabozorgi <haghabozorgi@gmail.com>
To: Debian Bug Tracking System <659155@bugs.debian.org>
Subject: system-config-printer-kde: Also seeing Hangs when trying to add a new printer
Date: Mon, 11 Jun 2012 10:28:32 -0400
Package: system-config-printer-kde
Version: 4:4.7.4-2
Followup-For: Bug #659155

Dear Maintainer,
*** Please consider answering these questions, where appropriate ***

   * What led up to the situation?
   * What exactly did you do (or not do) that was effective (or
     ineffective)?
   * What was the outcome of this action?
   * What outcome did you expect instead?

*** End of the template - remove these lines ***


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages system-config-printer-kde depends on:
ii  python              2.7.2-10
ii  python-cupshelpers  1.3.7-3
ii  python-kde4         4:4.7.4-4
ii  python-qt4-dbus     4.9.1-5

system-config-printer-kde recommends no packages.

system-config-printer-kde suggests no packages.

-- no debconf information




Marked as found in versions kdeadmin/4:4.8.4-1. Request was from Pino Toscano <pino@debian.org> to control@bugs.debian.org. (Tue, 03 Jul 2012 15:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#659155; Package system-config-printer-kde. (Tue, 24 Jul 2012 16:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Helmar Gerloni <helmar@gerloni.net>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 24 Jul 2012 16:06:06 GMT) Full text and rfc822 format available.

Message #29 received at 659155@bugs.debian.org (full text, mbox):

From: Helmar Gerloni <helmar@gerloni.net>
To: 659155@bugs.debian.org
Subject: Re: Hangs when trying to add a new printer
Date: Tue, 24 Jul 2012 18:03:59 +0200
Hi all,

I had the same problem today on my fresh Wheezy install: Trying to add a new 
printer in KDE's system-config-printer-kde makes the dialog hang forever.

The solution was to add the user to the group lpadmin:

usermod -a -G lpadmin MyUser

I had to logout/login from KDE, then adding a new printer worked fine.

Same solution as for bug #659155. Issue is also discussed in bug #680195.

Regards,    Helmar.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#659155; Package system-config-printer-kde. (Fri, 24 Aug 2012 19:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Fri, 24 Aug 2012 19:33:03 GMT) Full text and rfc822 format available.

Message #34 received at 659155@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
To: 659155@bugs.debian.org
Subject: Pending
Date: Fri, 24 Aug 2012 16:29:14 -0300
[Message part 1 (text/plain, inline)]
Control: tag -1 pending

A *very simple* fix for this is pending. It will simply show the user a text 
telling him/her that it needs to be in the lp/lpadmin group in order to use 
this tool.



-- 
Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com> to 659155-submit@bugs.debian.org. (Fri, 24 Aug 2012 19:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#659155; Package system-config-printer-kde. (Wed, 21 Nov 2012 21:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivo De Decker <ivo.dedecker@ugent.be>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Wed, 21 Nov 2012 21:48:03 GMT) Full text and rfc822 format available.

Message #41 received at 659155@bugs.debian.org (full text, mbox):

From: Ivo De Decker <ivo.dedecker@ugent.be>
To: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
Cc: 659155@bugs.debian.org
Subject: Status of kdeadmin 4:4.8.4-2 (bug 659155)?
Date: Wed, 21 Nov 2012 22:35:51 +0100
Control: tag -1 patch

On Fri, Aug 24, 2012 at 04:29:14PM -0300, Lisandro Damián Nicanor Pérez Meyer wrote:
> A *very simple* fix for this is pending. It will simply show the user a text 
> telling him/her that it needs to be in the lp/lpadmin group in order to use 
> this tool.

Hi Lisandro,

What's the status of this?

As the fix is in the git repo, I'm tagging this bug 'patch'.
http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kdeadmin.git;a=commitdiff;h=8e3d9c6bce2d89b2fba793ea26a2a5e394ad92ff

Cheers,

Ivo




Added tag(s) patch. Request was from Ivo De Decker <ivo.dedecker@ugent.be> to 659155-submit@bugs.debian.org. (Wed, 21 Nov 2012 21:48:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#659155; Package system-config-printer-kde. (Wed, 21 Nov 2012 22:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Wed, 21 Nov 2012 22:15:03 GMT) Full text and rfc822 format available.

Message #48 received at 659155@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
To: Ivo De Decker <ivo.dedecker@ugent.be>, 659155@bugs.debian.org
Subject: Re: Bug#659155: Status of kdeadmin 4:4.8.4-2 (bug 659155)?
Date: Wed, 21 Nov 2012 19:10:23 -0300
[Message part 1 (text/plain, inline)]
Control tag -1 -patch

On Wed 21 Nov 2012 18:35:51 Ivo De Decker escribió:
> Control: tag -1 patch
> 
> On Fri, Aug 24, 2012 at 04:29:14PM -0300, Lisandro Damián Nicanor Pérez 
Meyer wrote:
> > A *very simple* fix for this is pending. It will simply show the user a
> > text telling him/her that it needs to be in the lp/lpadmin group in
> > order to use this tool.
> 
> Hi Lisandro,
> 
> What's the status of this?

Pending an upload, whenever some of us has the time to do it.

On the other hand, I'm still not quite sure that this can be viewed as a fix. 
I'm removing the patch tag, because the approiate tag would be pending, but as 
I said before, I'm still not sure of this.

Kinds regards, Lisandro.

-- 
Ud. está viendo a la persona que ven nuestros clientes.
 Leyenda pegada en el espejo de una empresa.

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#659155; Package system-config-printer-kde. (Thu, 22 Nov 2012 03:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Thu, 22 Nov 2012 03:45:03 GMT) Full text and rfc822 format available.

Message #53 received at 659155@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 659155@bugs.debian.org
Subject: Re: Bug#659155: Status of kdeadmin 4:4.8.4-2 (bug 659155)?
Date: Wed, 21 Nov 2012 22:40:27 -0500
> Pending an upload, whenever some of us has the time to do it.
>
> On the other hand, I'm still not quite sure that this can be viewed as a fix.
> I'm removing the patch tag, because the approiate tag would be pending, but as
> I said before, I'm still not sure of this.

The best way to see whether an issue is fixed is to make it available
to the people experiencing the problem.  If you're afraid of causing
problems in unstable, you can use experimental first.

Best wishes,
Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#659155; Package system-config-printer-kde. (Thu, 22 Nov 2012 12:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Thu, 22 Nov 2012 12:54:06 GMT) Full text and rfc822 format available.

Message #58 received at 659155@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
To: Michael Gilbert <mgilbert@debian.org>, 659155@bugs.debian.org
Subject: Re: Bug#659155: Status of kdeadmin 4:4.8.4-2 (bug 659155)?
Date: Thu, 22 Nov 2012 09:51:15 -0300
[Message part 1 (text/plain, inline)]
On Thu 22 Nov 2012 00:40:27 Michael Gilbert escribió:
> > Pending an upload, whenever some of us has the time to do it.
> > 
> > On the other hand, I'm still not quite sure that this can be viewed as a
> > fix. I'm removing the patch tag, because the approiate tag would be
> > pending, but as I said before, I'm still not sure of this.
> 
> The best way to see whether an issue is fixed is to make it available
> to the people experiencing the problem.  If you're afraid of causing
> problems in unstable, you can use experimental first.

Not the case here Michael :-)

My worry is that this seems more like a hack than a proper fix.

Kinds regards, Lisandro.

-- 
Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#659155; Package system-config-printer-kde. (Fri, 23 Nov 2012 22:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Schweer <wschweer@arcor.de>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Fri, 23 Nov 2012 22:33:08 GMT) Full text and rfc822 format available.

Message #63 received at 659155@bugs.debian.org (full text, mbox):

From: Wolfgang Schweer <wschweer@arcor.de>
To: 659155@bugs.debian.org
Subject: Re: Bug#659155: Status of kdeadmin 4:4.8.4-2 (bug 659155)?
Date: Fri, 23 Nov 2012 23:32:33 +0100
[Lisandro]

> My worry is that this seems more like a hack than a proper fix.

IMO it would be sort of a fix. As there would be feedback for the user about the missing rights, the
package could no longer be classified as unusable. The severity of the bug could be lowered to normal.

Wolfgang





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#659155; Package system-config-printer-kde. (Sat, 24 Nov 2012 01:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sat, 24 Nov 2012 01:54:03 GMT) Full text and rfc822 format available.

Message #68 received at 659155@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 659155@bugs.debian.org
Subject: Re: Bug#659155: Status of kdeadmin 4:4.8.4-2 (bug 659155)?
Date: Fri, 23 Nov 2012 20:51:22 -0500
>> The best way to see whether an issue is fixed is to make it available
>> to the people experiencing the problem.  If you're afraid of causing
>> problems in unstable, you can use experimental first.
>
> Not the case here Michael :-)
>
> My worry is that this seems more like a hack than a proper fix.

Well, it's release-critical, so an imperfect fix now is better than a
perfect one that doesn't yet exist.

Best wishes,
Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#659155; Package system-config-printer-kde. (Mon, 26 Nov 2012 21:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 26 Nov 2012 21:12:03 GMT) Full text and rfc822 format available.

Message #73 received at 659155@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
To: 659155@bugs.debian.org
Subject: Re: Bug#659155: Status of kdeadmin 4:4.8.4-2 (bug 659155)?
Date: Mon, 26 Nov 2012 18:09:50 -0300
[Message part 1 (text/plain, inline)]
Control: tag -1 -patch -pending

I have uploaded version 4:4.8.4-2 which adds a warning in the user interface.
Once it gets into Wheezy the severity should be downgraded to normal, as the
bug is still there but users have a warning about it.

-- 
You are the Doc, Doc!
  Marty McFly To Dr. Emmett Brown, Back to the Future III

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) patch. Request was from Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com> to 659155-submit@bugs.debian.org. (Mon, 26 Nov 2012 21:12:03 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com> to 659155-submit@bugs.debian.org. (Mon, 26 Nov 2012 21:12:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#659155; Package system-config-printer-kde. (Thu, 29 Nov 2012 12:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Thu, 29 Nov 2012 12:36:03 GMT) Full text and rfc822 format available.

Message #82 received at 659155@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
To: 659155@bugs.debian.org
Subject: Reduce severity
Date: Thu, 29 Nov 2012 09:33:41 -0300
[Message part 1 (text/plain, inline)]
Control: severity -1 normal

With the resent upload of kdeadmin 4:4.8.4-2, the UI now advices the user that 
she/he must be in the lp/lpadmin group. The bug is still there, but now the 
severity can be downgraded.

Regards, Lisandro.

-- 
$ make war
make: *** No rule to make target `war'.  Stop.  Try `love' instead
  David Gravereaux

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Severity set to 'normal' from 'grave' Request was from Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com> to 659155-submit@bugs.debian.org. (Thu, 29 Nov 2012 12:36:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:10:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.